List sports games
curl --request GET \
--url https://relay.bayse.markets/v1/pm/sports/gamesimport requests
url = "https://relay.bayse.markets/v1/pm/sports/games"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://relay.bayse.markets/v1/pm/sports/games', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://relay.bayse.markets/v1/pm/sports/games",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://relay.bayse.markets/v1/pm/sports/games"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://relay.bayse.markets/v1/pm/sports/games")
.asString();require 'uri'
require 'net/http'
url = URI("https://relay.bayse.markets/v1/pm/sports/games")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"games": [
{
"id": "9cdc0e3e-2e72-4076-bf8c-d941272f1a4f",
"slug": "bm-game-20260413-sea-rsl",
"sport": "soccer",
"homeTeamId": "44a72373-18df-4770-a475-32f4ade2b9bd",
"awayTeamId": "c4c564c6-bc66-49c7-90be-3199aea1a593",
"startDate": "2026-04-13T02:00:00+01:00",
"status": "UNPLAYED",
"isLive": false,
"isPopular": false,
"league": "USA - Major League Soccer",
"homeTeam": {
"id": "44a72373-18df-4770-a475-32f4ade2b9bd",
"sport": "soccer",
"name": "Seattle Sounders FC",
"slug": "bm-mls-seattle-sounders-fc",
"shortCode": "SEA",
"league": "USA - Major League Soccer",
"imageUrl": "https://cdn.opticodds.com/team-logos/soccer/5272.png",
"isPopular": false
},
"awayTeam": {
"id": "c4c564c6-bc66-49c7-90be-3199aea1a593",
"sport": "soccer",
"name": "Real Salt Lake",
"slug": "bm-mls-real-salt-lake",
"shortCode": "RSL",
"league": "USA - Major League Soccer",
"imageUrl": "https://cdn.opticodds.com/team-logos/soccer/5270.png",
"isPopular": false
}
}
],
"pagination": {
"page": 1,
"size": 20,
"totalCount": 120,
"lastPage": 6
}
}
Sports data
List sports games
Get a paginated list of sports games, optionally filtered by league or sport
GET
/
v1
/
pm
/
sports
/
games
List sports games
curl --request GET \
--url https://relay.bayse.markets/v1/pm/sports/gamesimport requests
url = "https://relay.bayse.markets/v1/pm/sports/games"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://relay.bayse.markets/v1/pm/sports/games', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://relay.bayse.markets/v1/pm/sports/games",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://relay.bayse.markets/v1/pm/sports/games"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://relay.bayse.markets/v1/pm/sports/games")
.asString();require 'uri'
require 'net/http'
url = URI("https://relay.bayse.markets/v1/pm/sports/games")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"games": [
{
"id": "9cdc0e3e-2e72-4076-bf8c-d941272f1a4f",
"slug": "bm-game-20260413-sea-rsl",
"sport": "soccer",
"homeTeamId": "44a72373-18df-4770-a475-32f4ade2b9bd",
"awayTeamId": "c4c564c6-bc66-49c7-90be-3199aea1a593",
"startDate": "2026-04-13T02:00:00+01:00",
"status": "UNPLAYED",
"isLive": false,
"isPopular": false,
"league": "USA - Major League Soccer",
"homeTeam": {
"id": "44a72373-18df-4770-a475-32f4ade2b9bd",
"sport": "soccer",
"name": "Seattle Sounders FC",
"slug": "bm-mls-seattle-sounders-fc",
"shortCode": "SEA",
"league": "USA - Major League Soccer",
"imageUrl": "https://cdn.opticodds.com/team-logos/soccer/5272.png",
"isPopular": false
},
"awayTeam": {
"id": "c4c564c6-bc66-49c7-90be-3199aea1a593",
"sport": "soccer",
"name": "Real Salt Lake",
"slug": "bm-mls-real-salt-lake",
"shortCode": "RSL",
"league": "USA - Major League Soccer",
"imageUrl": "https://cdn.opticodds.com/team-logos/soccer/5270.png",
"isPopular": false
}
}
],
"pagination": {
"page": 1,
"size": 20,
"totalCount": 120,
"lastPage": 6
}
}
Authentication
Public — no authentication required.Query parameters
Example request
curl "https://relay.bayse.markets/v1/pm/sports/games?league=epl&page=1&size=20"
const params = new URLSearchParams({
league: 'England - Premier League',
page: 1,
size: 20,
});
const response = await fetch(
`https://relay.bayse.markets/v1/pm/sports/games?${params}`
);
const data = await response.json();
import requests
resp = requests.get(
'https://relay.bayse.markets/v1/pm/sports/games',
params={'league': 'epl', 'page': 1, 'size': 20},
)
data = resp.json()
req, _ := http.NewRequest("GET", "https://relay.bayse.markets/v1/pm/sports/games", nil)
q := req.URL.Query()
q.Add("league", "epl")
q.Add("page", "1")
q.Add("size", "20")
req.URL.RawQuery = q.Encode()
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
var data interface{}
json.NewDecoder(resp.Body).Decode(&data)
Response
Array of games matching the filter criteria.
Show child attributes
Show child attributes
Home team details.
Show child attributes
Show child attributes
Away team details.
Show child attributes
Show child attributes
{
"games": [
{
"id": "9cdc0e3e-2e72-4076-bf8c-d941272f1a4f",
"slug": "bm-game-20260413-sea-rsl",
"sport": "soccer",
"homeTeamId": "44a72373-18df-4770-a475-32f4ade2b9bd",
"awayTeamId": "c4c564c6-bc66-49c7-90be-3199aea1a593",
"startDate": "2026-04-13T02:00:00+01:00",
"status": "UNPLAYED",
"isLive": false,
"isPopular": false,
"league": "USA - Major League Soccer",
"homeTeam": {
"id": "44a72373-18df-4770-a475-32f4ade2b9bd",
"sport": "soccer",
"name": "Seattle Sounders FC",
"slug": "bm-mls-seattle-sounders-fc",
"shortCode": "SEA",
"league": "USA - Major League Soccer",
"imageUrl": "https://cdn.opticodds.com/team-logos/soccer/5272.png",
"isPopular": false
},
"awayTeam": {
"id": "c4c564c6-bc66-49c7-90be-3199aea1a593",
"sport": "soccer",
"name": "Real Salt Lake",
"slug": "bm-mls-real-salt-lake",
"shortCode": "RSL",
"league": "USA - Major League Soccer",
"imageUrl": "https://cdn.opticodds.com/team-logos/soccer/5270.png",
"isPopular": false
}
}
],
"pagination": {
"page": 1,
"size": 20,
"totalCount": 120,
"lastPage": 6
}
}